<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/nav_graph"
    xmlns:tools="http://schemas.android.com/tools"
    app:startDestination="@id/muestraTodasPublicaFragment">

    <fragment
        android:id="@+id/muestraTodasPublicaFragment"
        android:label="fragment_publicaciones"
        android:name="com.cactus.miblog.muestraTodasPublicaciones.PublicacionesFragment"
        tools:layout="@layout/fragment_publicaciones" >
        <action
            android:id="@+id/action_PublicacionesFragment_to_publicacionFragment"
            app:destination="@id/muestraPublicacionFragment" />
        <action
            android:id="@+id/action_PublicacionesFragment_to_enlacesFragment"
            app:destination="@id/enlacesFragment" />
        <action
            android:id="@+id/action_go_to_publicacionesFragment"
            app:destination="@id/muestraTodasPublicaFragment" />
    </fragment>

    <fragment
        android:id="@+id/muestraPublicacionFragment"
        android:label="fragment_muestra_publicacion"
        android:name="com.cactus.miblog.muestraPublicacion.PublicacionFragment"
        tools:layout="@layout/fragment_publicacion" >
        <action
            android:id="@+id/action_go_to_publicacionesFragment"
            app:destination="@id/muestraTodasPublicaFragment" />
        <action
            android:id="@+id/action_PublicacionesFragment_to_enlacesFragment"
            app:destination="@id/enlacesFragment" />
    </fragment>

    <fragment
        android:id="@+id/enlacesFragment"
        android:label="fragment_enlaces"
        android:name="com.cactus.miblog.enlaces.EnlacesFragment"
        tools:layout="@layout/fragment_enlaces" >
        <action
            android:id="@+id/action_go_to_publicacionesFragment"
            app:destination="@id/muestraTodasPublicaFragment" />
        <action
            android:id="@+id/action_PublicacionesFragment_to_enlacesFragment"
            app:destination="@id/enlacesFragment" />
    </fragment>

</navigation>